/* Copyright (C) 1997 Tom Wheeley, see file COPYING for details */

/*
 * CONFIG.H  Configuration settings.
 */

#ifndef _CAS_CONFIG_H_
#define _CAS_CONFIG_H_

/* Cas Version */

#define CAS_MAJOR_VER                    "1.1"
#define CAS_MINOR_VER                    "4a"

/* Should point to master CTF specifications page */

#define CAS_URL             "http://www.york.ac.uk/~tw104/casio/"

/* MANUAL OPTIONS */

/* data sizes */

#define CAS_MEMSIZE         65000   /* Size of buffer to store data */

/* language settings */

#define PROPER_SPELLING             /* undef for U.S. spellings */

/* location */

#define CAS_UNIX_HOMEDIR        "/usr/local/lib/cas/"  /* must end in / */

#define CAS_UNIX_RCDIR			"/etc/system"
#define CAS_UNIX_RC				".casrc"

#define CAS_DOS_RC				"cas.ini"

/* Token file */

#define CAS_DEFAULT_TOKFILE		"ctf.tok"

/* Listing */

#define SS_DEF_EMPTY        ' '
#define SS_DEF_TOP          '\''
#define SS_DEF_BOTTOM       ','
#define SS_DEF_FULL         ':'


/* AUTOMATIC CONFIGURATION - manual resettings available at the end */

#define CAS_VER_OS                    	"Exotic"
#define CAS_DIRSEP                 	'/'
#undef CAS_COMM
#undef CAS_DOS
#undef CAS_UNIX

#if defined(unix) || defined (__unix__)
# undef CAS_VER_OS
# define CAS_VER_OS			"Exotic-Unix"
# define CAS_COMM           "termios"
# define CAS_UNIX 
#endif

#if defined(linux) || defined(__linux__)
# undef CAS_VER_OS
# define CAS_VER_OS                     "Linux"
#else
# if defined(sgi) || defined(__sgi__)
#  undef CAS_VER_OS
#  define CAS_VER_OS                    "SGI-Irix"
# else
#  ifdef __DJGPP__
#   undef CAS_VER_OS
#   define CAS_VER_OS                     "msdos-dpmi"
#   undef CAS_COMM
#   define CAS_COMM                       "SVAsync"
#   define CAS_DOS		/* CAS_UNIX is defined too! */
#  else
#   ifdef __MSDOS__
#    undef CAS_VER_OS
#    undef CAS_DIRSEP
#    define CAS_VER_OS                    "msdos-real"
#    define CAS_DIRSEP                    '\\'
#    define CAS_COMM                      "Async"
#    define CAS_DOS
#   endif
#  endif
# endif
#endif

/* MANUAL changes to auto config */
/* Note you shouldn't really need to set any of these.  If need to for your
 * OS, try and integrate the change into the auto-config.
 */

/* #define CAS_DOS */		/* Enable for DOS eccentricities */
/* #undef CAS_DOS */

/* #define CAS_UNIX */		/* Unix style things */
/* #undef CAS_UNIX */

/* #define CAS_COMM "user-enabled" */		/* Enable communications */
/* #undef CAS_COMM */                       /* Disable communications */

#endif /* !_CAS_CONFIG_H_ */

/* end of config.h */
