/* Copyright (C) 1997 Tom Wheeley, see file COPYING for details */

/*
 * FCOM.C  Routines for serial communications.  Calls functions in sXXXX.c
 * with pointers to functions of the appropriate type in cXXXXX.c
 */
 
#ifndef _CAS_FCOM_H_
#define _CAS_FCOM_H_

void    COMReadData(char *filename,casinfo *info);
void    COMWriteData(char *filename,casinfo *info);

#ifdef _CAS_FCOM_C_

static int COMReadBlock(void *data,size_t size);
static int COMWriteBlock(void *data,size_t size);
static size_t COMReadRaw(void *data, int trycook);
static int COMWriteRaw(void *data,size_t size);

static iostruct io={
  COMReadBlock, COMWriteBlock, COMReadRaw, COMWriteRaw
};

int     COMReadFirst(void **hdr);
int     COMCheckResponse(unsigned char response);
void    COMParseArgs(darg_t dargs, int *baud, int *parity, int *hand);
#endif /* _CAS_FCOM_C_ */

#define CASPORT_DOTSIZE         128

/* protocol defines */
#define CASPORT_OK_9850         0x00
#define CASPORT_OK              0x06
#define CASPORT_TX_READY        0x16
#define CASPORT_TX_INLINE       0x15
#define CASPORT_RX_READY        0x13
#define CASPORT_AREAFULL        0x21
#define CASPORT_OVERWRITE       0x06
#define CASPORT_CANCEL          0x15
#define CASPORT_MEMFULL         0x24
#define CASPORT_BADCSUM         0x2b
#define CASPORT_WRONGTYPE       0x22
#define CASPORT_BADFILE         0x3f /* unknown what this _really_ means */

#endif /* _CAS_FCOM_H_ */

/* end of fcom.h */

