/* Copyright (C) 1997 Tom Wheeley, see file COPYING for details */

/*
 * FCTF.H  Routines for reading and writing Calculator Text Format files
 */

#ifndef _CAS_FCTF_H_
#define _CAS_FCTF_H_

void    ctf_read_data(char *filename, casinfo *info_r);
void    ctf_write_data(char *filename, casinfo *info);

#ifdef _CAS_FCTF_C_

typedef enum {insOut,insComment,insString} instr_t;

static instr_t in_string = insOut;

#define PARSE_LINESIZE			1024

#define PARSE_DOUBLEQUOTE       34
#define PARSE_SINGLEQUOTE       39
#define PARSE_NEWLINE           13
#define PARSE_COLON             58
#define PARSE_SPACE				32
#define PARSE_EOF               0xff

#define CTF_SS_BLACK            'B'
#define CTF_SS_BLUE             'B'
#define CTF_SS_GREEN            'G'
#define CTF_SS_RED              'r'
#define CTF_SS_CLEAR            ' '

casinfo *ctf_read_header(char *line, int lineno);
void    ctf_read_program(FILE *ctf, char *line, int *lineno, casinfo *info);
void    ctf_read_text(FILE *ctf,char *line, int *lineno, casinfo *curblk);
void    ctf_read_raw(FILE *ctf,char *line, int *lineno, casinfo *info);
int     ctf_read_line(FILE *ctf, char *line, int *lineno);
int     ctf_read_token(char **lpos, int lineno);
void    ctf_in_string_update(int ctoken);
void    ctf_strip_comments(char *line, int lineno);
void    ctf_write_program(FILE *ctf, casinfo *info);
void    ctf_write_screenshot(FILE *ctf, casinfo *info);
void    ctf_write_desc(FILE *ctf, casinfo *info);
void    ctf_write_text(FILE *ctf, casinfo *info);
void    ctf_write_raw(FILE *ctf, casinfo *info);


#endif /* _CAS_FCTF_C_ */

#endif /* _CAS_FCTF_H_ */

/* end of fctf.h */
